EFILTER(1)

NCBI "NCBI Entrez Direct User's Manual"

NAME
efilter - filter and/or sort NCBI Entrez search results

SYNOPSIS
efilter [-help] [-query str] [-days N] [-datetype field] [-mindate date] [-maxdate date] [-pub type] [-journal name] [-released when] [-country name] [-feature type] [-location type] [-molecule type] [-organism type] [-source type] [-division code] [-keyword purpose] [-purpose why] [-status alive] [-type type] [-class class]

DESCRIPTION
efilter filters and/or sorts results from a previous Entrez Direct search.

OPTIONS

  Query Specification

-query str
    Limit results to those matching the given query string.

  Date Constraint

-days N
    Keep only results from the past N days.

-datetype field
    Which date field (in abbreviated form) to consider.

-mindate date
    Start of date range.

-maxdate date
    End of date range.

  Publication Filters

-pub type
    abstract, clinical, english, free, historical, journal, medline, preprint, published, retracted, retraction, review, or structured.

-journal name
    pnas, "j bacteriol", ...

-released when
    last_week, last_month, last_year, or prev_years.

  Sequence Filters

-country name
    usa:minnesota, united_kingdom, "pacific ocean", ...

-feature type
    gene, mrna, cds, mat_peptide, ...

-location type
    mitochondrion, chloroplast, plasmid, or plastid.

-molecule type
    genomic, mrna, trna, rrna, or ncrna.

-organism type
    animals, archaea, bacteria, eukaryotes, fungi, human, insects, mammals, plants, prokaryotes, protists, rodents, viruses, ...

-source type
    genbank, insd, pdb, pir, refseq, select, swissprot, or tpa.

-division code
    Three-letter GenBank division code: bct, con, env, est, gss, htc, htg, inv, mam, pat, phg, pln, pri, rod, sts, syn, una, vrl, or vrt.

-keyword purpose

-purpose why
    baseline or targeted.

  Gene Filters

-status alive

-type type
    coding or pseudo.

  SNP Filters

-class class
    acceptor, donor, coding, frameshift, indel, intron, missense, nonsense, or synonymous.

  Assembly Filters

-status status
    latest or replaced.

  Miscellaneous Arguments

-help
    Print usage information.

SEE ALSO
combine-uid-lists(1), difference-uid-lists(1), esearch(1), nquire(1), exclude-uid-lists(1), intersect-uid-lists(1).